Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseReportTemplate

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseReportTemplate

All Implemented Interfaces:
  java.io.Serializable, JRReportTemplate

Direct Known Subclasses:
  JRDesignReportTemplate

    public class JRBaseReportTemplate

extends java.lang.Object
implements JRReportTemplate, java.io.Serializable

Base read-only implementation of `JRReportTemplate`.

Version:
  $Id: JRBaseReportTemplate.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `sourceExpression`

Constructor Summary
`protected` | `JRBaseReportTemplate()`
`` | `JRBaseReportTemplate(JRReportTemplate reportTemplate, JRAbstractObjectFactory factory)`

Method Summary
`JRExpression` | `getSourceExpression()` Returns the template source expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceExpression

    protected JRExpression sourceExpression

Constructor Detail

### JRBaseReportTemplate

    protected JRBaseReportTemplate()

### JRBaseReportTemplate

    public JRBaseReportTemplate(JRReportTemplate reportTemplate,
                                JRAbstractObjectFactory factory)

Method Detail

### getSourceExpression

    public JRExpression getSourceExpression()

  Description copied from interface: `JRReportTemplate`
  Returns the template source expression.

  The expression type should be (compatible with) one of `java.lang.String`, `java.io.File`, `java.net.URL`, `java.io.InputStream` (in which cases the template is loaded via `JRXmlTemplateLoader`) or `net.sf.jasperreports.engine.JRTemplate` .

  Specified by:
    `getSourceExpression` in interface `JRReportTemplate`
  Returns:
    the template source expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com